##
#   Project: redate - Forget never a birthday
#   Author: Mario Guerriero <mefrio.g@gmail.com>
#   Copyright: 2011 Mario Guerriero
#   License: GPL-3+
#  This program is free software; you can redistribute it and/or modify it
#  under the terms of the GNU General Public License as published by the Free
#  Software Foundation; either version 3 of the License, or (at your option)
#  any later version.
#
#  This program is distributed in the hope that it will be useful, but WITHOUT
#  ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
#  FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License for
#  more details.
#
# On Debian GNU/Linux systems, the full text of the GNU General Public License
# can be found in the file /usr/share/common-licenses/GPL-3.
##

import gtk, pygtk, gtk.glade
import pynotify
import handlepaths
import string

class ReDate:
	def __init__(self):
		#get all widgets and windows
		self.MainGlade = gtk.glade.XML("../data/ui/birthdata.glade")	
		self.wndMain = self.MainGlade.get_widget("wndMain")	
		self.entName = self.MainGlade.get_widget("entName")
		self.entDescription = self.MainGlade.get_widget("entDescription")
		self.entDate = self.MainGlade.get_widget("entDate")
		#signals
		signals = {
			"on_wndMain_destroy":self.on_wndMain_destroy,
			"on_btnAdd_clicked":self.on_btnAdd_clicked,
			"on_btnInfo_clicked":self.on_btnInfo_clicked
		}	
		self.MainGlade.signal_autoconnect(signals)
		
		#show the window
		if self.wndMain:
			self.wndMain.show()
			gtk.main()

	#window's and button's functions
	def on_wndMain_destroy(self, data=None):
		gtk.main_quit()
	
	def on_btnAdd_clicked(self, data=None):
		#get name, description and date
		Name = self.entName.get_text()
		Description = self.entDescription.get_text()
		Date = self.entDate.get_text()
		file = open("../data/events/"+Name, "w")
		file.write(Date + "\n" + Description)
		file.close()
			
	def on_btnInfo_clicked(self, data=None):
		Info()


class Info(gtk.AboutDialog):
	def __init__(self):
		gtk.AboutDialog.__init__(self)
		self.set_name(handlepaths.APP_TITLE)
		self.set_title(handlepaths.APP_TITLE)
		self.set_program_name(handlepaths.APP_TITLE)
		self.set_version(handlepaths.VERSION)
		self.set_copyright('(c) 2011')
		self.set_license(handlepaths.read_text_file('doc', 'copyright'))
		self.set_website_label('bo?')
		self.set_website('https://launchpad.net/nasaaswallpaper')
		self.set_authors(['Version' + handlepaths.VERSION + ':\nMario Guerrierio <mefrio.g@gmail.com>'])
		self.set_comments("Set the Nasa's daily photo as your desktop's wallpaper")
		self.run()
		self.destroy()  


ReDate()
